Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.config.java.context
Class DefaultBeanFactoryProvider

    java.lang.Object
      org.springframework.config.java.context.DefaultBeanFactoryProvider

All Implemented Interfaces:
  org.springframework.config.java.internal.factory.BeanFactoryProvider

    public class DefaultBeanFactoryProvider

extends java.lang.Object
implements org.springframework.config.java.internal.factory.BeanFactoryProvider

TODO: JAVADOC

Field Summary

Fields inherited from interface org.springframework.config.java.internal.factory.BeanFactoryProvider
`BEAN_NAME`

Constructor Summary
`DefaultBeanFactoryProvider()`

Method Summary
`org.springframework.beans.factory.BeanFactory` | `createBeanFactory(java.lang.String className)`
`void` | `registerBeanDefinition(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBeanFactoryProvider

    public DefaultBeanFactoryProvider()

Method Detail

### registerBeanDefinition

    public void registerBeanDefinition(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

  Specified by:
    `registerBeanDefinition` in interface `org.springframework.config.java.internal.factory.BeanFactoryProvider`

### createBeanFactory

    public org.springframework.beans.factory.BeanFactory createBeanFactory(java.lang.String className)
                                                                    throws java.lang.Exception

  Specified by:
    `createBeanFactory` in interface `org.springframework.config.java.internal.factory.BeanFactoryProvider`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD